complexType "Obligations"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 18 elements
Defined: | globally in fpml-cd-5-3.xsd; see XML source
Includes: | definitions of 18 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | category?, notSubordinated?, specifiedCurrency?, notSovereignLender?, notDomesticCurrency?, notDomesticLaw?, listed?, notDomesticIssuance?, (fullFaithAndCreditObLiability? | generalFundObligationLiability? | revenueObligationLiability?)?, notContingent?, excluded?, othReferenceEntityObligations?, designatedPriority?, cashSettlementOnly?, deliveryOfCommitments?, continuity?
</...>

Content Model Elements (18):

  cashSettlementOnly,
  category (defined in Obligations complexType),
  continuity,
  deliveryOfCommitments,
  designatedPriority,
  excluded (defined in Obligations complexType),
  fullFaithAndCreditObLiability (defined in Obligations complexType),
  generalFundObligationLiability (defined in Obligations complexType),
  listed (defined in Obligations complexType),
  notContingent (defined in Obligations complexType),
  notDomesticCurrency (defined in Obligations complexType),
  notDomesticIssuance (defined in Obligations complexType),
  notDomesticLaw (defined in Obligations complexType),
  notSovereignLender (defined in Obligations complexType),
  notSubordinated (defined in Obligations complexType),
  othReferenceEntityObligations (defined in Obligations complexType),
  revenueObligationLiability (defined in Obligations complexType),
  specifiedCurrency (defined in Obligations complexType)

All Direct / Indirect Based Elements (2):

  obligations (defined in ProtectionTerms complexType), | obligations (in creditCurve)

Known Usage Locations

- As direct type of elements (2):

  obligations (defined in ProtectionTerms complexType), | obligations (in creditCurve)

XML Source (w/o annotations (18); see within schema source)

<xsd:complexType name="Obligations"> <xsd:sequence> <xsd:element minOccurs="0" name="category" type="ObligationCategoryEnum"/> <xsd:element minOccurs="0" name="notSubordinated" type="xsd:boolean"/> <xsd:element minOccurs="0" name="specifiedCurrency" type="SpecifiedCurrency"/> <xsd:element minOccurs="0" name="notSovereignLender" type="xsd:boolean"/> <xsd:element minOccurs="0" name="notDomesticCurrency" type="NotDomesticCurrency"/> <xsd:element minOccurs="0" name="notDomesticLaw" type="xsd:boolean"/> <xsd:element minOccurs="0" name="listed" type="xsd:boolean"/> <xsd:element minOccurs="0" name="notDomesticIssuance" type="xsd:boolean"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="fullFaithAndCreditObLiability" type="xsd:boolean"/> <xsd:element minOccurs="0" name="generalFundObligationLiability" type="xsd:boolean"/> <xsd:element minOccurs="0" name="revenueObligationLiability" type="xsd:boolean"/> </xsd:choice> <xsd:element minOccurs="0" name="notContingent" type="xsd:boolean"/> <xsd:element minOccurs="0" name="excluded" type="xsd:string"/> <xsd:element minOccurs="0" name="othReferenceEntityObligations" type="xsd:string"/> <xsd:element minOccurs="0" name="designatedPriority" type="Lien"/> <xsd:element minOccurs="0" name="cashSettlementOnly" type="xsd:boolean"/> <xsd:element minOccurs="0" name="deliveryOfCommitments" type="xsd:boolean"/> <xsd:element minOccurs="0" name="continuity" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 18/18)
cashSettlementOnly

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Defined in the ISDA published Standard Terms Supplement for use with CDS Transactions on Leveraged Loans. ISDA 2003 Term: Cash Settlement Only.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="cashSettlementOnly" type="xsd:boolean"/>

category

  Type: | ObligationCategoryEnum, simple content

  Used in both obligations and deliverable obligations to represent a class or type of securities which apply. ISDA 2003 Term: Obligation Category/Deliverable Obligation Category
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Payment" | - | ISDA term "Payment". See: http://www.FpML.org
  "BorrowedMoney" | - | ISDA term "Borrowed Money". See: http://www.FpML.org
  "ReferenceObligationsOnly" | - | ISDA term "Reference Obligations Only". See: http://www.FpML.org
  "Bond" | - | ISDA term "Bond". See: http://www.FpML.org
  "Loan" | - | ISDA term "Loan". See: http://www.FpML.org
  "BondOrLoan" | - | ISDA term "Bond or Loan". See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="category" type="ObligationCategoryEnum"/>

continuity

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Defined in the ISDA published Standard Terms Supplement for use with CDS Transactions on Leveraged Loans. ISDA 2003 Term: Continuity.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="continuity" type="xsd:boolean"/>

deliveryOfCommitments

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Defined in the ISDA published Standard Terms Supplement for use with CDS Transactions on Leveraged Loans. ISDA 2003 Term: Delivery of Commitments.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="deliveryOfCommitments" type="xsd:boolean"/>

designatedPriority

  Type: | Lien, simple content

  Applies to Loan CDS, to indicate what lien level is appropriate for a deliverable obligation. Applies to European Loan CDS, to indicate the Ranking of the obligation. Example: a 2nd lien Loan CDS would imply that the deliverable obligations are 1st or 2nd lien loans.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="designatedPriority" type="Lien"/>

excluded

  Type: | xsd:string, predefined, simple content

  A free format string to specify any excluded obligations or deliverable obligations, as the case may be, of the reference entity or excluded types of obligations or deliverable obligations. ISDA 2003 Term: Excluded Obligations/Excluded Deliverable Obligations
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="excluded" type="xsd:string"/>

fullFaithAndCreditObLiability

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Defined in the ISDA published additional provisions for U.S. Municipal as Reference Entity. ISDA 2003 Term: Full Faith and Credit Obligation Liability
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="fullFaithAndCreditObLiability" type="xsd:boolean"/>

generalFundObligationLiability

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Defined in the ISDA published additional provisions for U.S. Municipal as Reference Entity. ISDA 2003 Term: General Fund Obligation Liability
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="generalFundObligationLiability" type="xsd:boolean"/>

listed

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Indicates whether or not the obligation is quoted, listed or ordinarily purchased and sold on an exchange. ISDA 2003 Term: Listed
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="listed" type="xsd:boolean"/>

notContingent

  Type: | xsd:boolean, predefined, simple content

  NOTE: Only allowed as an obligation charcteristic under ISDA Credit 1999. In essence Not Contingent means the repayment of principal cannot be dependant on a formula/index, i.e. to prevent the risk of being delivered an instrument that may never pay any element of principal, and to ensure that the obligation is interest bearing (on a regular schedule). ISDA 2003 Term: Not Contingent
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notContingent" type="xsd:boolean"/>

notDomesticCurrency

  Type: | NotDomesticCurrency, complex content

  An obligation and deliverable obligation characteristic. Any obligation that is payable in any currency other than the domestic currency. Domestic currency is either the currency so specified or, if no currency is specified, the currency of (a) the reference entity, if the reference entity is a sovereign, or (b) the jurisdiction in which the relevant reference entity is organised, if the reference entity is not a sovereign. ISDA 2003 Term: Not Domestic Currency
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notDomesticCurrency" type="NotDomesticCurrency"/>

notDomesticIssuance

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Any obligation other than an obligation that was intended to be offered for sale primarily in the domestic market of the relevant Reference Entity. This specifies that the obligation must be an internationally recognized bond. ISDA 2003 Term: Not Domestic Issuance
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notDomesticIssuance" type="xsd:boolean"/>

notDomesticLaw

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. If the reference entity is a Sovereign, this means any obligation that is not subject to the laws of the reference entity. If the reference entity is not a sovereign, this means any obligation that is not subject to the laws of the jurisdiction of the reference entity. ISDA 2003 Term: Not Domestic Law
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notDomesticLaw" type="xsd:boolean"/>

notSovereignLender

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Any obligation that is not primarily (majority) owed to a Sovereign or Supranational Organization. ISDA 2003 Term: Not Sovereign Lender
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notSovereignLender" type="xsd:boolean"/>

notSubordinated

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. An obligation that ranks at least equal with the most senior Reference Obligation in priority of payment or, if no Reference Obligation is specified in the related Confirmation, the obligations of the Reference Entity that are senior. ISDA 2003 Term: Not Subordinated
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="notSubordinated" type="xsd:boolean"/>

othReferenceEntityObligations

  Type: | xsd:string, predefined, simple content

  This element is used to specify any other obligations of a reference entity in both obligations and deliverable obligations. The obligations can be specified free-form. ISDA 2003 Term: Other Obligations of a Reference Entity
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="othReferenceEntityObligations" type="xsd:string"/>

revenueObligationLiability

  Type: | xsd:boolean, predefined, simple content

  An obligation and deliverable obligation characteristic. Defined in the ISDA published additional provisions for U.S. Municipal as Reference Entity. ISDA 2003 Term: Revenue Obligation Liability
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="revenueObligationLiability" type="xsd:boolean"/>

specifiedCurrency

  Type: | SpecifiedCurrency, complex content

  An obligation and deliverable obligation characteristic. The currency or currencies in which an obligation or deliverable obligation must be payable. ISDA 2003 Term: Specified Currency
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="specifiedCurrency" type="SpecifiedCurrency"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.